Archive
Update an archive job
Requires scope `archive-jobs:write`.
Requires scope archive-jobs:write.
Authorization
bearerAuth AuthorizationBearer <token>
Personal access tokens begin with dhub_… and are restricted by their assigned scopes.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/archive-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "status": "pending" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "pending", "archive_bucket": "string", "archive_key": "string", "size_bytes": 0, "error_message": "string", "completed_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}